Subject: Re: git log --author=me

From: Junio C Hamano <[email-masked]>
Date: Mon, 02 Nov 2015 10:05:42 -0800

Andreas Schwab <[email-masked]> writes:

> Harry Jeffery <[email-masked]> writes:
>
>> The purpose being to make finding your own commits quicker and easier:
>>     git log --author=me
>
> Since --author does a regexp search, this would most likely break
> someone's searches.  Better add a new option for that functionality.

I do not think it would hurt too much to add "--mine" to look for
"--author" that matches you, but on the other hand, I am not sure
its value outweighs the additional noise in the manual page.

It certainly does not help "I have done this much to this project in
the time period, and you can look at the output of this command
yourself to verify my claim.  Type 'git shortlog --mine' and then
promote me this season, please!" use case ;-)

So...